function model = ivmOptimiseNoise(model, display, iters);

% IVMOPTIMISENOISE Optimise the noise parameters.
%
% model = ivmOptimiseNoise(model, display, iters);
%

% Copyright (c) 2005 Neil D. Lawrence
% ivmOptimiseNoise.m version 1.5




if nargin < 3
  iters = 500;
  if nargin < 2
    display = 1;
  end
end
options = optOptions;
if display
  options(1) = 1;
end
options(14) = iters;

model = optimiseParams('noise', 'scg', 'ivmNegLogLikelihood', ...
                       'ivmNegGradientNoise', options, model);
